<div class="user-administration">
  <app-content-banner [isDashboard]="false" [isTutorialRequired]="true" [TutorialPageName]="'user-security'" pageName="User Administration"></app-content-banner>
  <mat-card class="user-admin-main-card mat-elevation-z0">
    <mat-card class="inner-card-full" [class.mat-elevation-z0]="true">
      <mat-card-content fxLayout="row" fxLayout.lt-sm="column" fxLayoutAlign="start" fxLayoutGap="10px">
        <button mat-icon-button color="primary" routerLink="/admin/user-profile">
          <mat-icon>people</mat-icon>
          <span class="btn-text"> &nbsp;Add New User</span>
        </button>
      </mat-card-content>
    </mat-card>
    <mat-card-header fxLayout="column" fxLayoutGap="10px">
      <div class="table-filters-header" fxLayout="column">
        <mat-label>Display Users based on selection:</mat-label>
        <div class="top-header-filter regular-mat-form-field" fxLayout="row" fxLayout.lt-lg="column" fxLayoutGap="10px">
          <div *ngIf="is_SUPER_USER" class="left-text">
            <mat-label style="font-weight: 600;">Agency Name: &nbsp;</mat-label>
            <!-- <mat-form-field appearance="outline">
              <mat-select (selectionChange)="onAgencySelected()" [(ngModel)]="selectedFilters.agencyID">
                <mat-option [value]="0">Select One</mat-option>
                <mat-option *ngFor="let agency of agencyList" [value]="agency.agencyID">
                  {{agency.agencyNo + ' - ' + agency.agencyName}}
                </mat-option>
              </mat-select>
            </mat-form-field> -->
            <mat-form-field appearance="outline" class='regular-mat-form-field'  style='min-width:300px !important'>
              <input matInput aria-label="AgencyID" [matAutocomplete]="auto" [formControl]="searchAgency"
                placeholder="Select one">
              <mat-icon matSuffix>search</mat-icon>
              <mat-autocomplete #auto="matAutocomplete">
                <mat-option style="height: 35px;font-size:0.9em" *ngFor="let agency of filteredAgencyData | async"
                  [value]='agency.agencyNo + " - "  + agency.agencyName' [value]="agency.agencyID" (onSelectionChange)="onAgencySelected(agency.agencyID)">
                  {{ agency.agencyNo }} - {{ agency.agencyName }}
                </mat-option>
              </mat-autocomplete>
            </mat-form-field>
          </div>
          <div *ngIf="is_SYS_ADMIN" class="left-text" fxFlex="25">
            <mat-label style="font-weight: 600;">Agency Name: &nbsp; </mat-label>
            {{userData.agencyNo + ' - ' + userData.agencyName}}
          </div>
          <div class="middle-text">
            <mat-label style="font-weight: 600;">Site Type: &nbsp;</mat-label>
            <mat-form-field appearance="outline">
              <mat-select [formControl]="siteType" (selectionChange)="onTypeSelected($event)"> 
                <mat-option [value]="0">Select One</mat-option>
                <mat-option *ngFor="let item of siteTypeList" [value]="item.refGroupDetailID" >
                  {{item.longDescription}}
                </mat-option>
              </mat-select>
            </mat-form-field>

          </div>
          <div class="right-text">
            <mat-label style="font-weight: 600;">Site Name: &nbsp;</mat-label>
            <!-- <mat-form-field appearance="outline">
              <mat-select [(ngModel)]="selectedFilters.siteID" (selectionChange)="onSiteSelected()" [disabled]="is_DropDown_Disabled">
                <mat-option [value]="0">Select One</mat-option>
                <mat-option *ngFor="let site of siteList" [value]="site.siteID">
                  {{site.siteNo + ' - ' + site.siteName}}
                </mat-option>
              </mat-select>
            </mat-form-field> -->
            <mat-form-field appearance="outline" class='regular-mat-form-field'  style='min-width:300px !important'>
                <input matInput aria-label="SiteID" [matAutocomplete]="auto" [formControl]="searchSite"
                  placeholder="Select one">
                <mat-icon matSuffix>search</mat-icon>
                <mat-autocomplete #auto="matAutocomplete">
                  <mat-option style="height: 35px;font-size:0.9em" *ngFor="let site of filteredSiteData | async" 
                    [value]='site.siteNo + " - "  + site.siteName' [value]="site.siteID" (onSelectionChange)="onSiteSelected(site.siteID)">
                    {{ site.siteNo }} - {{ site.siteName }}
                  </mat-option>
                </mat-autocomplete>
              </mat-form-field>
          </div>
          <div>
            <button (click)="onGo()" mat-raised-button color="primary">GO</button>
          </div>
        </div>
        <div fxLayout="row" fxLayoutAlign="start">
          <div fxLayoutAlign="start" fxFlex="auto" style="padding: 8px; font-weight: 600; font-size:12px"><span>Agency:
              {{selectedAgencyName}}</span></div>
          <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
            <!-- <div fxLayoutAlign="end" fxFlex="auto" style="padding: 8px; font-weight: 600;"  ><span>Total Records: {{rowCount}}</span></div> -->
            <mat-icon (click)="refreshAgGrid()" color="primary" matTooltip="Reset the filters">settings_backup_restore
            </mat-icon>
            <mat-icon (click)="onBtExport()" color="primary" matTooltip="Export to Excel">archive</mat-icon>
          </div>
        </div>
      </div>
    </mat-card-header>

    <mat-card-content>
      <div class="example-small-box mat-elevation-z4" fxLayout="column">

        <div class="example-container mat-elevation-z4">
          <div fxLayout="row" fxLayout.lt-md="column">
            <div fxLayout="column" fxLayoutAlign="start" style="width: 100%">
              <ag-grid-angular #agGrid id="myGrid" style="width: 100%" class="ag-theme-balham my-grid" [columnDefs]="columnDefs"
                [defaultColDef]="defaultColDef" [rowData]="rowData" [context]="context" [rowSelection]="rowSelection"
                [floatingFilter]="true" [animateRows]="true" [gridOptions]="gridOptions" [pagination]="true"
                [paginationPageSize]="10" [overlayLoadingTemplate]="overlayLoadingTemplate" [overlayNoRowsTemplate]="overlayNoRowsTemplate"
                [frameworkComponents]="frameworkComponents" (gridReady)="onGridReady($event)">
              </ag-grid-angular>
            </div>
          </div>
        </div>
      </div>
    </mat-card-content>
  </mat-card>

</div>